Skip to main content
GET
/
projects
/
{projectId}
/
environments
/
{environmentId}
/
observability
/
profiles
Error
A valid request URL is required to generate request examples
{
  "_project_id": "abc123def456",
  "_environment_id": "main",
  "_branch_machine_name": "main-bvxea6i",
  "_agent": "a38f69ca-3b56-4ea6-beac-272b2568164a",
  "profiles": [
    {
      "uuid": "4b5266a2-fd71-468b-bf05-87b342079cbf",
      "name": "POST /api/cart",
      "created_at": "2026-03-26T14:31:49+0000",
      "updated_at": "2026-03-26T14:31:52+0000",
      "metadata": {
        "Triggered by": "apm",
        "Transaction Name": "App\\Controller\\CartController::add",
        "Language": "php",
        "Frameworks": [
          "symfony_framework"
        ]
      },
      "data": {
        "envelope": {
          "wt": 143341,
          "cpu": 113242,
          "io": 30099,
          "pmu": 5990880,
          "mu": 6301320,
          "nw": 739,
          "ct": 1
        },
        "important_metrics": {
          "sql_queries": {
            "ct": 5,
            "wt": 7004
          },
          "http_requests": {
            "ct": 1,
            "wt": 11
          }
        }
      },
      "recommendations": 4,
      "context": {
        "uri": "https://example.com/api/cart",
        "method": "POST",
        "status_code": 200,
        "path": "/api/cart",
        "type": "http-request"
      },
      "status_code": 64,
      "status_name": "finished",
      "owner": {
        "uuid": "4aed4f5d-e0cb-4320-902f-885fddaa7d15",
        "name": "John Doe"
      },
      "agent": {
        "uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
        "name": "Production",
        "env_uuid": "a38f69ca-3b56-4ea6-beac-272b2568164a",
        "is_env": true
      },
      "has_timeline": true,
      "is_public": false,
      "is_readonly": false,
      "is_comparison": false,
      "caches": {
        "opcache": {
          "enabled": true,
          "hitrate": 0.99,
          "items": 5128
        }
      },
      "_links": {
        "graph_url": {
          "href": "https://blackfire.io/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
          "type": "text/html"
        },
        "api_timeline": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/timeline",
          "type": "application/json"
        },
        "api_subprofiles": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/subprofiles",
          "type": "application/json"
        },
        "api_profile": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/profile",
          "type": "application/json"
        },
        "api_graph": {
          "href": "https://api.upsun.com/api/projects/abc123def456/environments/main/observability/profiles/4b5266a2-fd71-468b-bf05-87b342079cbf/graph",
          "type": "application/json"
        }
      }
    }
  ],
  "page": 1,
  "pages": 3,
  "total": 25
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

The unique identifier of the Upsun project

Pattern: [a-z0-9]+
Example:

"abc123def456"

environmentId
string
required

The environment identifier

Pattern: .+
Example:

"main"

Query Parameters

transaction
string

Filter by transaction name (exact match).

Example:

"App\\Controller\\ProductController::list"

page
integer

Page number for pagination.

Required range: x >= 1
limit
integer

Number of profiles per page.

Required range: 1 <= x <= 100
url
string

Wildcard search across URI, name, and transaction name.

Example:

"/api/products"

is_auto
boolean

When false, excludes auto-triggered (APM) profiles from results.

Example:

false

is_public
enum<string>

Filter to public profiles only when set to "true".

Available options:
true,
false
Example:

"true"

sort_by
enum<string>

Field to sort results by.

Available options:
date,
wt,
io,
cpu,
pmu,
nw,
sql,
http
Example:

"date"

sort_order
enum<string>

Sort direction.

Available options:
asc,
desc
Example:

"desc"

start_date
string<date-time>

Filter profiles created after this date (ISO 8601).

Example:

"2026-01-01T00:00:00+00:00"

end_date
string<date-time>

Filter profiles created before this date (ISO 8601).

Example:

"2026-12-31T23:59:59+00:00"

status_code
enum<integer>

Filter by profile status code: -1=empty, 0=todo, 16=payment_required, 32=too_many_subprofiles, 64=done, 128=failed, 192=rejected.

Available options:
-1,
0,
16,
32,
64,
128,
192
Example:

64

Response

Profiles retrieved successfully

_project_id
string
required

Project identifier

Example:

"abc123def456"

_environment_id
string
required

Environment identifier

Example:

"main"

_branch_machine_name
string
required

Branch machine name

Example:

"main-bvxea6i"

_agent
string<uuid>
required

Blackfire Agent UUID

Example:

"a38f69ca-3b56-4ea6-beac-272b2568164a"

profiles
object[]
required

List of profiles

page
integer
required

Current page number

Example:

1

pages
integer
required

Total number of pages

Example:

3

total
integer
required

Total number of profiles

Example:

25

Last modified on April 3, 2026